VERSION 5.00
Object = "{BD0C1912-66C3-49CC-8B12-7B347BF6C846}#11.2#0"; "Codejock.SkinFramework.v11.2.2.ocx"
Object = "{555E8FCC-830E-45CC-AF00-A012D5AE7451}#11.2#0"; "CommandBars.ocx"
Begin VB.Form RibbonForm 
   Caption         =   "Ribbon Test"
   ClientHeight    =   9540
   ClientLeft      =   4710
   ClientTop       =   3405
   ClientWidth     =   12345
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   9
      Charset         =   178
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MousePointer    =   99  'Custom
   RightToLeft     =   -1  'True
   ScaleHeight     =   9540
   ScaleWidth      =   12345
   WindowState     =   2  'Maximized
   Begin XtremeSkinFramework.SkinFramework SkinFramework1 
      Left            =   840
      Top             =   240
      _Version        =   720898
      _ExtentX        =   635
      _ExtentY        =   635
      _StockProps     =   0
   End
   Begin VB.PictureBox picHolder 
      Align           =   2  'Align Bottom
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   178
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   0
      ScaleHeight     =   435
      ScaleWidth      =   12285
      TabIndex        =   1
      Top             =   9045
      Visible         =   0   'False
      Width           =   12345
      Begin VB.TextBox PaneUser 
         BackColor       =   &H8000000F&
         Enabled         =   0   'False
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   178
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   405
         Left            =   6840
         Locked          =   -1  'True
         RightToLeft     =   -1  'True
         TabIndex        =   3
         Text            =   " "
         Top             =   0
         Width           =   1575
      End
      Begin VB.TextBox PaneVer 
         BackColor       =   &H8000000F&
         Enabled         =   0   'False
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   178
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   405
         Left            =   5280
         TabIndex        =   2
         Top             =   0
         Width           =   1335
      End
   End
   Begin VB.PictureBox picClient 
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   178
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   7635
      Left            =   120
      ScaleHeight     =   509
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   812
      TabIndex        =   0
      Top             =   1320
      Width           =   12180
   End
   Begin XtremeCommandBars.CommandBars CommandBars 
      Left            =   240
      Top             =   240
      _Version        =   720898
      _ExtentX        =   635
      _ExtentY        =   635
      _StockProps     =   0
   End
End
Attribute VB_Name = "RibbonForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type

Private Declare Function FillRect Lib "user32" (ByVal hDC As Long, lpRect As RECT, ByVal hBrush As Long) As Long

Const IMAGEBASE = 10000

Dim SelectedStyle As Long
Dim r As RECT

Dim WithEvents ItemsStyles As CommandBarGalleryItems
Attribute ItemsStyles.VB_VarHelpID = -1
Dim WithEvents GalleryShapeItems As CommandBarGalleryItems
Attribute GalleryShapeItems.VB_VarHelpID = -1
Dim WithEvents GalleryColorItems As CommandBarGalleryItems
Attribute GalleryColorItems.VB_VarHelpID = -1
Dim WithEvents GalleryLargeColorItems As CommandBarGalleryItems
Attribute GalleryLargeColorItems.VB_VarHelpID = -1

Dim FontSizes(4) As Integer

Private Sub ContextMenu()
    Dim ContextMenu As CommandBar, Control As CommandBarControl
    Set ContextMenu = CommandBars.ContextMenus.Add(400, "Context Menu")
    With ContextMenu.Controls
    End With
End Sub


Private Sub CreateRibbonBar()
    Dim TabMainModules As RibbonTab, TabSubModules As RibbonTab, TabReports As RibbonTab, TabUserExternal As RibbonTab
    Dim GroupBasicData As RibbonGroup, GroupRegistration As RibbonGroup, GroupReturns As RibbonGroup, GroupCashier As RibbonGroup, GroupTaxpayerAccount As RibbonGroup
    Dim GroupAudit As RibbonGroup, GroupSeizeCollection As RibbonGroup, GroupCapitalGoods As RibbonGroup, GroupAppeals As RibbonGroup, GroupRefund As RibbonGroup, GroupOther As RibbonGroup
    Dim GroupConsolidateRep As RibbonGroup, GroupOperationRep As RibbonGroup
    Dim GroupUserManager As RibbonGroup, GroupExternal As RibbonGroup
    
    Dim ControlOptions As CommandBarPopup
    Dim ControlPopup As CommandBarPopup
    Dim Control As CommandBarControl
    
    'CommandBars.DeleteAll
    
    Dim RibbonBar As RibbonBar
    Set RibbonBar = CommandBars.AddRibbonBar("The Ribbon")
    RibbonBar.EnableDocking xtpFlagStretched
    
    Dim ControlFile As CommandBarPopup, ControlTheme As CommandBarPopup, ControlAbout As CommandBarControl
    Dim PopupBar As CommandBar
    
    RibbonForm.Caption = App_title(Language)
    
    
    Set ControlFile = RibbonBar.AddSystemButton()
    ControlFile.Id = ID_SYSTEM_ICON
    ControlFile.IconId = ID_SYSTEM_ICON
    ControlFile.Caption = ID_SYSTEM_ICON_L(Language)
    ControlFile.Enabled = True
    ControlFile.DescriptionText = ID_SYSTEM_ICON_Desc_L(Language)
    ControlFile.ToolTipText = ID_SYSTEM_ICON_TTip_L(Language)
    With ControlFile.CommandBar.Controls
 
        
        Set Control = .Add(xtpControlButton, ID_FILE_PRINT, ID_FILE_PRINT_L(Language))
        Control.BeginGroup = True
        Control.Width = 296
        
        Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemPopupBarButton")
        Control.Caption = ID_APP_EXIT_L(Language)
        Control.Id = ID_APP_EXIT
        .AddControl Control

        ControlFile.CommandBar.SetIconSize 32, 32
    End With
    

    ' Create Tabs
    Set TabMainModules = RibbonBar.InsertTab(0, ID_TabMainModules_L(Language))
    TabMainModules.Id = ID_TabMainModules
    
    ' Create Groups
    Set GroupBasicData = TabMainModules.Groups.AddGroup(ID_GroupBasicData_L(Language), ID_GroupBasicData)
    Set GroupRegistration = TabMainModules.Groups.AddGroup(ID_GroupRegistration_L(Language), ID_GroupRegistration)
    Set GroupReturns = TabMainModules.Groups.AddGroup(ID_GroupReturns_L(Language), ID_GroupReturns)
    Set GroupCashier = TabMainModules.Groups.AddGroup(ID_GroupCashier_L(Language), ID_GroupCashier)
    Set GroupTaxpayerAccount = TabMainModules.Groups.AddGroup(ID_GroupTaxpayerAccount_L(Language), ID_GroupTaxpayerAccount)
    Set GroupAudit = TabMainModules.Groups.AddGroup(ID_GroupAudit_L(Language), ID_GroupAudit)
    

    ' Create main module items
    Dim ControlNewReg As CommandBarPopup
    Set ControlNewReg = GroupRegistration.Add(xtpControlSplitButtonPopup, ID_BasicDataAVT, ID_BasicDataAVT_L(Language))
        ControlNewReg.CommandBar.Controls.Add xtpControlButton, ID_BasicDataAVT, ID_BasicDataAVT_L(Language)
        ControlNewReg.CommandBar.Controls.Add xtpControlButton, ID_BasicDataRef, ID_BasicDataRef_L(Language)
       
        ControlNewReg.Style = xtpButtonIconAndCaptionBelow
  

    ' Option Context Menu and quick access toolbar
    Set ControlOptions = RibbonBar.Controls.Add(xtpControlPopup, ID_Options, ID_Options_L(Language))
    ControlOptions.Flags = xtpFlagRightAlign
    ControlOptions.Style = xtpButtonIcon

    Set Control = ControlOptions.CommandBar.Controls.Add(xtpControlPopup, ID_Options_Style, ID_Options_Style_L(Language))
    Control.CommandBar.Controls.Add xtpControlButton, ID_OPTIONS_STYLEBLUE, ID_OPTIONS_STYLEBLUE_L(Language)
    Control.CommandBar.Controls.Add xtpControlButton, ID_OPTIONS_STYLEBLACK, ID_OPTIONS_STYLEBLACK_L(Language)
    Control.CommandBar.Controls.Add xtpControlButton, ID_OPTIONS_STYLESILVER, ID_OPTIONS_STYLESILVER_L(Language)
    Control.CommandBar.Controls.Add xtpControlButton, ID_OPTIONS_STYLEAQUA, ID_OPTIONS_STYLEAQUA_L(Language)

    Set ControlPopup = ControlOptions.CommandBar.Controls.Add(xtpControlPopup, ID_OPTIONS_FONT, ID_OPTIONS_FONT_L(Language), -1, False)
        ControlPopup.CommandBar.Controls.Add xtpControlRadioButton, ID_OPTIONS_FONT_SYSTEM, ID_OPTIONS_FONT_SYSTEM_L(Language), -1, False
    Set Control = ControlPopup.CommandBar.Controls.Add(xtpControlRadioButton, ID_OPTIONS_FONT_NORMAL, ID_OPTIONS_FONT_NORMAL_L(Language), -1, False)
        Control.BeginGroup = True
    ControlPopup.CommandBar.Controls.Add xtpControlRadioButton, ID_OPTIONS_FONT_LARGE, ID_OPTIONS_FONT_LARGE_L(Language), -1, False
    ControlPopup.CommandBar.Controls.Add xtpControlRadioButton, ID_OPTIONS_FONT_EXTRALARGE, ID_OPTIONS_FONT_EXTRALARGE_L(Language), -1, False
    Set Control = ControlPopup.CommandBar.Controls.Add(xtpControlButton, ID_OPTIONS_FONT_AUTORESIZEICONS, ID_OPTIONS_FONT_AUTORESIZEICONS_L(Language), -1, False)
        Control.BeginGroup = True

    'ControlOptions.CommandBar.Controls.add xtpControlButton, ID_OPTIONS_RTL, ID_OPTIONS_RTL_L(Language)
    ControlOptions.CommandBar.Controls.Add xtpControlButton, ID_OPTIONS_ANIMATION, ID_OPTIONS_ANIMATION_L(Language)

    Set ControlAbout = RibbonBar.Controls.Add(xtpControlButton, ID_APP_ABOUT, ID_APP_ABOUT_L(Language))
    ControlAbout.Flags = xtpFlagRightAlign
    'ControlAbout.style = xtpButtonIcon

    ' Ribbon Settings
    ' =====================================
    RibbonBar.EnableFrameTheme
    CommandBars.EnableOffice2007Frame True
    RibbonForm.Caption = "Ribbon Issue"
    
    'Cause problem on some fucken machines
    'SkinFramework1.LoadSkin App.Path + "\Styles\Vista.cjstyles", "NormalBlue.ini"
    'SkinFramework1.ApplyOptions = SkinFramework1.ApplyOptions Or xtpSkinApplyFrame
    'SkinFramework1.ApplyWindow Me.hwnd

    CommandBars.PaintManager.RefreshMetrics
    CommandBars.RecalcLayout
    picClient.Refresh
    SetFont
    
    RibbonBar.ControlQuickAccess.Visible = False
    RibbonBar.ControlQuickAccess.CloseSubMenuOnClick = True
    
End Sub

Private Sub CreateStatusBar()
    ' ======================================
    ' Status Bar Defenition
    ' ======================================
    CommandBars.StatusBar.Visible = True
    CommandBars.StatusBar.IdleText = ID_StatusBarText_L(Language)
    
    Dim Pane As StatusBarPane
    
    Set Pane = CommandBars.StatusBar.AddPane(0)
    Pane.Style = SBPS_STRETCH Or SBPS_NOBORDERS
    Pane.Text = ID_StatusBarText_L(Language)
    Pane.Width = 0 ' Autro Size
       
End Sub

Private Sub ExecuteMenuOption(ByVal Control As XtremeCommandBars.ICommandBarControl)
    On Error Resume Next
    Select Case Control.Id
      Case ID_BasicDataAVT:
            Shell App.Path & "\test\Program.exe 123", vbNormalFocus
      Case ID_BasicDataRef:
            Shell App.Path & "\test\Program.exe 123", vbNormalFocus
    Case ID_APP_ABOUT:
        frmAbout.Show (1)
'    Case ID_FILE_PRINT:
'        appPrinters.Show (1)
    Case Else:
    End Select
End Sub

Private Sub LoadIcons()
      
End Sub

Private Sub loadMessages()
    ' System Use
    ID_Options_L = Array("Options", "")
    ID_Options_Style_L = Array("Style", " ")
    ID_OPTIONS_STYLEBLUE_L = Array("Blue", "")
    ID_OPTIONS_STYLEBLACK_L = Array("Black", "")
    ID_OPTIONS_STYLEAQUA_L = Array("Aqua", "")
    ID_OPTIONS_STYLESILVER_L = Array("Silver", "")
    ID_OPTIONS_RTL_L = Array("Arabic", "")
    ID_OPTIONS_ANIMATION_L = Array("Animation", " ")
    ID_APP_ABOUT_L = Array("About", " ")

    ID_OPTIONS_FONT_L = Array("Font", " ")
    ID_OPTIONS_FONT_SYSTEM_L = Array("System Default", "")
    ID_OPTIONS_FONT_NORMAL_L = Array("Normal", "")
    ID_OPTIONS_FONT_LARGE_L = Array("Large", "")
    ID_OPTIONS_FONT_EXTRALARGE_L = Array("Extra Large", " ")
    ID_OPTIONS_FONT_AUTORESIZEICONS_L = Array("Auto Resize Icons", " ")
    ID_StatusBarText_L = Array("Ready", "")
    ID_APP_EXIT_L = Array("Exit System", "  ")
    ID_SYSTEM_ICON_L = Array("Main Menu", " ")
    ID_SYSTEM_ICON_Desc_L = Array("Double Click to Exit", "  ")
    ID_SYSTEM_ICON_TTip_L = Array("Double Click to Exit", "  ")

    ID_FILE_PRINT_L = Array("Printer Setup", " ")
    
    ' =====================================================================================
    App_title = Array("ETA Integrated Application", "  ")
    ID_File_New_L = Array("File", "")
    
    ID_BasicDataAVT_L = Array("AVT Data", "")
    ID_BasicDataRef_L = Array("Referance Data", " ")
    ID_TabMainModules_L = Array("Main Modules", " ")

    ID_GroupBasicData_L = Array("Group 1", " ")
    ID_GroupRegistration_L = Array("Group 2", "")
    ID_GroupReturns_L = Array("Group 3", " ")
    ID_GroupCashier_L = Array("Group 4", "")
    ID_Cashier_BankPayment_L = Array("Group 5", " ")
    ID_GroupTaxpayerAccount_L = Array("Group 6", " ")
    ID_GroupAudit_L = Array("Group 7", "")

    FontSizes(0) = 0
    FontSizes(1) = 11
    FontSizes(2) = 13
    FontSizes(3) = 16

End Sub

Private Function RibbonBar() As RibbonBar
    Set RibbonBar = CommandBars.ActiveMenuBar
End Function

Private Sub SetFont()
    Dim TextFont As StdFont
    Set TextFont = Me.Font
   
    ' Font Setting To Support Arabic
    CommandBars.Options.Font.Charset = TextFont.Charset
    CommandBars.Options.Font.Name = TextFont.Name
    CommandBars.Options.Font.Size = 8
    
    RibbonBar.RibbonPaintManager.CaptionFont.Charset = TextFont.Charset
    RibbonBar.RibbonPaintManager.CaptionFont.Name = TextFont.Name
    RibbonBar.RibbonPaintManager.CaptionFont.Size = 8
    
    RibbonBar.TabPaintManager.Font.Charset = TextFont.Charset
    RibbonBar.TabPaintManager.Font.Name = TextFont.Name
    RibbonBar.TabPaintManager.Font.Size = 8

End Sub

Private Sub SetToolTip()
    Dim ToolTipContext As ToolTipContext
    Set ToolTipContext = CommandBars.ToolTipContext
    ToolTipContext.Style = xtpToolTipOffice2007
    ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconNone
    ToolTipContext.ShowImage True, IMAGEBASE
    ToolTipContext.SetMargin 2, 2, 2, 2
    ToolTipContext.MaxTipWidth = 180
End Sub

Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)
    On Error Resume Next
    Select Case Control.Id
        Case ID_FILE_CLOSE:
        Case XTPCommandBarsSpecialCommands.XTP_ID_RIBBONCONTROLTAB:
            'Debug.Print "Selected Tab is Changed"
        Case XTP_ID_RIBBONCUSTOMIZE:
            CommandBars.ShowCustomizeDialog 3
        Case ID_OPTIONS_ANIMATION:
            RibbonBar.EnableAnimation = Not RibbonBar.EnableAnimation
        Case ID_OPTIONS_RTL:
            Language = IIf(CommandBars.RightToLeft, 0, 1)
            RibbonForm.AutoRedraw = False
            CreateRibbonBar
            CommandBars.StatusBar.IdleText = ID_StatusBarText_L(Language)
            CommandBars.RightToLeft = Not CommandBars.RightToLeft
            RibbonForm.AutoRedraw = True
        Case ID_OPTIONS_STYLEBLACK:
            CommandBarsGlobalSettings.Office2007Images = App.Path & "\Styles\Office2007Black.dll"
            SkinFramework1.LoadSkin App.Path + "\Styles\Vista.cjstyles", "NormalBLACK.ini"
            CommandBars.PaintManager.RefreshMetrics
            CommandBars.RecalcLayout
            picClient.Refresh
            SetFont
        Case ID_OPTIONS_STYLEBLUE:
            CommandBarsGlobalSettings.Office2007Images = App.Path & "\Styles\Office2007Blue.dll"
            SkinFramework1.LoadSkin App.Path + "\Styles\Vista.cjstyles", "NormalBLUE.ini"
            CommandBars.PaintManager.RefreshMetrics
            CommandBars.RecalcLayout
            picClient.Refresh
            SetFont
        Case ID_OPTIONS_STYLESILVER:
            CommandBarsGlobalSettings.Office2007Images = App.Path & "\Styles\Office2007Silver.dll"
            SkinFramework1.LoadSkin App.Path + "\Styles\Vista.cjstyles", "NormalSilver.ini"
            CommandBars.PaintManager.RefreshMetrics
            CommandBars.RecalcLayout
            picClient.Refresh
            SetFont
        Case ID_OPTIONS_STYLEAQUA:
            CommandBarsGlobalSettings.Office2007Images = App.Path & "\Styles\Office2007Aqua.dll"
            SkinFramework1.LoadSkin App.Path + "\Styles\Vista.cjstyles", "NormalAqua.ini"
            CommandBars.PaintManager.RefreshMetrics
            CommandBars.RecalcLayout
            picClient.Refresh
            SetFont
        Case ID_OPTIONS_FONT_SYSTEM, ID_OPTIONS_FONT_NORMAL, ID_OPTIONS_FONT_LARGE, ID_OPTIONS_FONT_EXTRALARGE:
            Dim newFontHeight As Integer
            newFontHeight = FontSizes(Control.Id - ID_OPTIONS_FONT_SYSTEM)
            RibbonBar.FontHeight = newFontHeight
            SetFont
        Case ID_OPTIONS_FONT_AUTORESIZEICONS:
            CommandBars.PaintManager.AutoResizeIcons = Not CommandBars.PaintManager.AutoResizeIcons
            CommandBars.RecalcLayout
            RibbonBar.RedrawBar
        Case Else:
            ExecuteMenuOption Control
    End Select
End Sub

Private Sub CommandBars_Resize()
    
    On Error Resume Next
    
    Dim Left As Long
    Dim Top As Long
    Dim Right As Long
    Dim Bottom As Long
    
    CommandBars.GetClientRect Left, Top, Right, Bottom
    picClient.Move Left, Top, Right - Left, Bottom - Top
End Sub


Private Sub CommandBars_Update(ByVal Control As XtremeCommandBars.ICommandBarControl)
    Select Case Control.Id
        Case ID_OPTIONS_RTL:
            Control.Checked = RibbonBar.CommandBars.RightToLeft
        Case ID_THEME_OFFICE2003:
            Control.Checked = CommandBars.VisualTheme = xtpThemeOffice2003
        Case ID_THEME_OFFICE2007:
            Control.Checked = CommandBars.VisualTheme = xtpThemeOffice2007
        Case ID_OPTIONS_ANIMATION:
            Control.Checked = CommandBars.ActiveMenuBar.EnableAnimation
        Case ID_OPTIONS_FONT_SYSTEM, ID_OPTIONS_FONT_NORMAL, ID_OPTIONS_FONT_LARGE, ID_OPTIONS_FONT_EXTRALARGE
             Dim newFontHeight As Integer
             newFontHeight = FontSizes(Control.Id - ID_OPTIONS_FONT_SYSTEM)
             Control.Checked = IIf(RibbonBar.FontHeight = newFontHeight, True, False)
        Case ID_OPTIONS_FONT_AUTORESIZEICONS
             Control.Checked = CommandBars.PaintManager.AutoResizeIcons
    End Select
End Sub

Private Sub Form_Load()

    Language = 0
    loadMessages
    CreateRibbonBar
    CreateStatusBar
    SetToolTip
    
    ContextMenu
    
    CommandBars.RightToLeft = (Language = 1)
    CommandBars.EnableCustomization False
    
    RibbonBar.ControlQuickAccess.Visible = False
    RibbonBar.ControlQuickAccess.CloseSubMenuOnClick = True
End Sub


Private Sub Form_Unload(Cancel As Integer)
End
End Sub

Private Sub GalleryColorItems_DrawItem(ByVal hDC As stdole.OLE_HANDLE, ByVal Gallery As XtremeCommandBars.ICommandBarGallery, ByVal Item As XtremeCommandBars.ICommandBarGalleryItem, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal Enabled As Boolean, ByVal Selected As Boolean, ByVal Pressed As Boolean, ByVal Checked As Boolean, Handled As Variant)

End Sub

Private Sub GalleryLargeColorItems_DrawItem(ByVal hDC As stdole.OLE_HANDLE, ByVal Gallery As XtremeCommandBars.ICommandBarGallery, ByVal Item As XtremeCommandBars.ICommandBarGalleryItem, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal Enabled As Boolean, ByVal Selected As Boolean, ByVal Pressed As Boolean, ByVal Checked As Boolean, Handled As Variant)

End Sub


Private Sub PaneVer_Change()

End Sub


Private Sub picClient_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Button = 2) Then
        ZOrder
        
        Dim Popup As CommandBar
        Set Popup = CommandBars.ContextMenus(1)
        Popup.ShowPopup
    End If
End Sub

Private Sub picClient_Paint()
    'CommandBars.PaintManager.FillWorkspace picClient.hDC, 0, 0, picClient.Width, picClient.Height
    CommandBars.PaintManager.FillWorkspace picClient.hDC, 0, 0, 1300, 1300
End Sub

Private Sub picClient_Resize()
'   Dim nBorders As Long
'
'    nBorders = picClient.Width - 820
'    If (nBorders < 10) Then nBorders = 10

End Sub

Private Sub picHolder_Click()

End Sub


